package com.ematou.wxservice.controller;

import com.ematou.wxservice.entity.vo.BindingInfo;
import com.ematou.wxservice.service.UserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author lhm
 * @version 1.0
 * 2021-05-12 16:00
 */
@Controller
public class WeChatViewController {

    @GetMapping("/view/")
    public String main(){
        return "hello";
    }

    @GetMapping("/view/binding")
    public String binding(){
        return "binding";
    }

    @Autowired
    UserInfoService userInfoService;

    @PostMapping("/binding")
    public String binding(HttpServletRequest request, Model model) {
        String phone = request.getParameter("phone1");
        String openid = request.getParameter("btnSendCode2");
        String code1 = request.getParameter("code1");

        BindingInfo bindingInfo = new BindingInfo();
        bindingInfo.setOpenId(openid);
        bindingInfo.setTellPhoneNumber(phone);
        bindingInfo.setValidateCode(code1);

        boolean result = userInfoService.binding(bindingInfo);
        if (result) {
            return "return";
        }
        model.addAttribute("errmsg", "验证码错误！");
        return "binding";
    }

}
