package com.ematou.wxservice.mp.handler;

import com.ematou.wxservice.mp.message.WeChatMessage;
import com.ematou.wxservice.mp.message.WeChatMpXmlOutMessage;
import org.springframework.stereotype.Component;

/**
 * 关注事件
 * @author lhm
 * @version 1.0
 * 2021-05-14 17:04
 */
@Component
public class WeChatSubscribeEventHandler implements WeChatMessageHandler {

    /**
     * 处理消息，并封装返回消息
     *
     * @param weChatMessage 接收到的消息
     * @return 响应消息
     */
    @Override
    public WeChatMpXmlOutMessage handlerMessage(WeChatMessage weChatMessage) {
        return WeChatMpXmlOutMessage.TEXT().content(content(weChatMessage.getFromUser())).toUser(weChatMessage.getFromUser()).fromUser(weChatMessage.getToUser()).build();
    }

    private String content(String openId) {
        // TODO openId需要做加密，传到
        return "哈喽!欢迎关注【e码头智能柜】!\n" +
                "\n" +
                "关注e码头,第一时间接收您的快件物流提醒,提供24H自助寄取快递服务!\n" +
                "\n" +
                "<a link='http://f3dhion.nat.ipyingshe.com/view/binding?openid="+ openId +"' >>>点击绑定手机号,立即取件/寄件!</a>\n";
    }

}
